Update a NAT port-forwarding rule

Authentication

AuthorizationBearer

IBEE platform API token. Production tokens start with ibee_prod_key_; development tokens start with ibee_dev_key_. Use a token only with its matching gateway environment.

Path parameters

vpc_idstringRequired
VPC ID.
nat_gateway_idstringRequired
NAT gateway ID.
port_forwarding_rule_idstringRequired

NAT port-forwarding rule ID.

Query parameters

workspace_idstringRequiredformat: "^[1-9][0-9]*$">=1 character

The positive numeric workspace ID to scope this request to. Zero, negative, and non-numeric values are rejected.

Request

This endpoint expects an object.
namestringOptional1-80 characters
protocolenumOptional
external_portintegerOptional1-65535
internal_ipstringOptional
internal_portintegerOptional1-65535
notestringOptional<=500 characters
enabledbooleanOptional

Response

Port-forwarding rule updated successfully.

namestring1-80 characters
external_portinteger1-65535
internal_ipstring
internal_portinteger1-65535
port_forward_rule_idstring
vpc_idstring
nat_gateway_idstring
statusenum
created_atdatetime
updated_atdatetime
protocolenumOptionalDefaults to tcp
notestringOptional<=500 charactersDefaults to
enabledbooleanOptionalDefaults to true
organization_idstringOptional
workspace_idstringOptional
site_idstringOptional
error_messagestring or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error